include("setup.jl");
function wrapper()
# What will decrease top but not bottom?
dm1 = 0.55
dm2 = 0.045
dm3 = 0.008
dm = [dm1; dm1; dm2; dm2; dm3; dm3]
pd1 = 0.12
pd3 = 0.5
ps1d1 = .9999
ps2d2 = .9999
ps3d3 = 0.3
sL = 1/2.
sH = 1.
sHH = 2.
s = [sL; sH; sH; sHH; sH; sHH]
cbar = 0.3
alpha1 = 1
alpha0 = 45.
sigmal = .88
hbar = 0.
mu_male = 0.3125
mu_female = 0.77
#=
1. try matching tails
2. produce table. close?
3. zeldes cbar: # 20% of median income
4. note that MdR baseline also has trouble with some things

=#


CP = ControlParameters(dm, pd1, pd3, ps1d1, ps2d2, ps3d3, alpha0, alpha1, s, cbar, sigmal, hbar, mu_male, mu_female)
model = makeModel(CP);
(VF, policy, bigpolicy, dist, aggs, rstar) = solveGE(model);
steady = SteadyState(VF, policy, bigpolicy, dist, aggs, rstar);
rstar
out = check_moments(dist, model, steady);

aa = GEexperiment(0.98, steady, model, chi = 0., filename = "Nf0")


rt = load("Nf0.jld")["res"][1]
l = singlelambda(steady, model, 0.98; rvec = rt)
@show l
end
wrapper()
